Export Labeling Project
Export full labeling project data.
Path Parameters
project_id*string
Format
uuidHeader Parameters
x-workspace-id?|
Workspace UUID to operate within. Required for session auth and user-scoped API keys. Optional for workspace-scoped API keys (uses key's workspace if omitted).
Response Body
application/json
application/json
curl -X GET "https://loading/v1/labeling-projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/export"{
"project": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"slug": "string",
"source_type": "string",
"label_schema": [
{
"name": "string",
"description": ""
}
],
"config": {
"labelers_per_task": 1,
"auto_create_review_tasks": false
},
"status": "string",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"created_by_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"conversations": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"messages": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"role": "string",
"parts": [
{}
],
"gen_ai.request.model": "string",
"gen_ai.provider.name": "string",
"gen_ai.usage.input_tokens": 0,
"gen_ai.usage.output_tokens": 0,
"gen_ai.response.finish_reasons": [
"string"
]
}
]
}
],
"annotations": {
"automated": {
"property1": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"label": "string",
"status": "string",
"text": "string",
"start_offset": 0,
"end_offset": 0,
"message_part_index": 0,
"explanation": "string"
}
],
"property2": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"label": "string",
"status": "string",
"text": "string",
"start_offset": 0,
"end_offset": 0,
"message_part_index": 0,
"explanation": "string"
}
]
},
"primary": {
"property1": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"label": "string",
"status": "string",
"text": "string",
"start_offset": 0,
"end_offset": 0,
"message_part_index": 0,
"explanation": "string"
}
],
"property2": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"label": "string",
"status": "string",
"text": "string",
"start_offset": 0,
"end_offset": 0,
"message_part_index": 0,
"explanation": "string"
}
]
},
"review": {
"property1": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"label": "string",
"status": "string",
"text": "string",
"start_offset": 0,
"end_offset": 0,
"message_part_index": 0,
"explanation": "string"
}
],
"property2": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"label": "string",
"status": "string",
"text": "string",
"start_offset": 0,
"end_offset": 0,
"message_part_index": 0,
"explanation": "string"
}
]
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}